#[repr(u8)]
#[derive(Debug, Clone, Copy)]
pub enum TetrisCell {
	Empty,
	Blue,
	Cyan,
	Orange,
	Red,
	Green,
	Purple,
	Yellow,
}

impl TetrisCell {
	pub fn vga_color(&self) -> u8 {
		match self {
			Self::Empty => 0b0000_0000,
			Self::Blue => 0b0000_0001,
			Self::Cyan => 0b0000_0011,
			Self::Orange => 0b0000_0110,
			Self::Red => 0b0000_0100,
			Self::Green => 0b0000_0010,
			Self::Purple => 0b0000_0101,
			Self::Yellow => 0b1100_0000,
		}
	}

	pub fn is_empty(&self) -> bool {
		matches!(self, Self::Empty)
	}
}
